Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice
Interface DistributedStoreManager

All Superinterfaces:
  Closeable, StoreManager

All Known Implementing Classes:
  DistributedJDBCStoreManager

    public interface DistributedStoreManager

extends StoreManager

A specialized `Store Manager` that encapsulates multiple concrete Store Managers using Distributed Template (or Composite) Design Pattern.

Author:
  Pinaki Poddar

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.StoreManager
`FORCE_LOAD_ALL, FORCE_LOAD_DFG, FORCE_LOAD_NONE, FORCE_LOAD_REFRESH, VERSION_DIFFERENT, VERSION_EARLIER, VERSION_LATER, VERSION_SAME`

Method Summary
`SliceStoreManager` | `addSlice(Slice slice)` Adds the given slice with the given properties.

Methods inherited from interface org.apache.openjpa.kernel.StoreManager
`assignField, assignObjectId, beforeStateChange, begin, beginOptimistic, cancelAll, close, commit, compareVersion, copyDataStoreId, executeExtent, exists, flush, getClientConnection, getDataStoreIdSequence, getDataStoreIdType, getManagedType, getValueSequence, initialize, isCached, load, loadAll, newDataStoreId, newFetchConfiguration, newQuery, releaseConnection, retainConnection, rollback, rollbackOptimistic, setContext, syncVersion`

Method Detail

### addSlice

    SliceStoreManager addSlice(Slice slice)

  Adds the given slice with the given properties. This newly added slice will participate in the current and subsequent transaction.

  Parameters:
    `name` - logical name of the to be added slice. Must be different from any currently available slices.
  Returns:
    the store manager for the newly added slice.
  See Also:
    `DistributedBroker#addSlice(String, Map)`, `DistributedBrokerFactory.addSlice(String, Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.